summaryrefslogtreecommitdiffstats
path: root/WebKitLibraries/win
diff options
context:
space:
mode:
authorUpstream <upstream-import@none>1970-01-12 13:46:40 +0000
committerUpstream <upstream-import@none>1970-01-12 13:46:40 +0000
commitd8543bb6618c17b12da906afa77d216f58cf4058 (patch)
treec58dc05ed86825bd0ef8d305d58c8205106b540f /WebKitLibraries/win
downloadexternal_webkit-d8543bb6618c17b12da906afa77d216f58cf4058.zip
external_webkit-d8543bb6618c17b12da906afa77d216f58cf4058.tar.gz
external_webkit-d8543bb6618c17b12da906afa77d216f58cf4058.tar.bz2
external/webkit r30707
Diffstat (limited to 'WebKitLibraries/win')
-rw-r--r--WebKitLibraries/win/include/SafariTheme/SafariThemeConstants.h1
-rw-r--r--WebKitLibraries/win/include/WebKitSystemInterface/WebKitSystemInterface.h74
-rw-r--r--WebKitLibraries/win/lib/WebKitSystemInterface.libbin0 -> 122194 bytes
-rw-r--r--WebKitLibraries/win/lib/WebKitSystemInterface_debug.libbin0 -> 63220 bytes
-rwxr-xr-xWebKitLibraries/win/tools/WinTools.make3
-rw-r--r--WebKitLibraries/win/tools/scripts/PRODUCTVERSION1
-rw-r--r--WebKitLibraries/win/tools/scripts/VERSION1
-rwxr-xr-xWebKitLibraries/win/tools/scripts/auto-version.sh83
-rw-r--r--WebKitLibraries/win/tools/vsprops/common.vsprops46
-rw-r--r--WebKitLibraries/win/tools/vsprops/debug.vsprops35
-rw-r--r--WebKitLibraries/win/tools/vsprops/debug_internal.vsprops26
-rw-r--r--WebKitLibraries/win/tools/vsprops/release.vsprops43
12 files changed, 313 insertions, 0 deletions
diff --git a/WebKitLibraries/win/include/SafariTheme/SafariThemeConstants.h b/WebKitLibraries/win/include/SafariTheme/SafariThemeConstants.h
new file mode 100644
index 0000000..e21d6ae
--- /dev/null
+++ b/WebKitLibraries/win/include/SafariTheme/SafariThemeConstants.h
@@ -0,0 +1 @@
+// This is a placeholder header used in WebCore/rendering/RenderThemeSafari.h until a version of WebKitSupportLibrary containing this header is released
diff --git a/WebKitLibraries/win/include/WebKitSystemInterface/WebKitSystemInterface.h b/WebKitLibraries/win/include/WebKitSystemInterface/WebKitSystemInterface.h
new file mode 100644
index 0000000..cb41ffd
--- /dev/null
+++ b/WebKitLibraries/win/include/WebKitSystemInterface/WebKitSystemInterface.h
@@ -0,0 +1,74 @@
+/*
+ * Copyright (C) 2007 Apple Inc. All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ * notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ * notice, this list of conditions and the following disclaimer in the
+ * documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef WebKitSystemInterface_h
+#define WebKitSystemInterface_h
+
+struct CGAffineTransform;
+struct CGPoint;
+struct CGSize;
+
+typedef const struct __CFData* CFDataRef;
+typedef const struct __CFString* CFStringRef;
+typedef struct CGColor* CGColorRef;
+typedef struct CGContext* CGContextRef;
+typedef unsigned short CGFontIndex;
+typedef struct CGFont* CGFontRef;
+typedef CGFontIndex CGGlyph;
+typedef wchar_t UChar;
+typedef struct _CFURLResponse* CFURLResponseRef;
+typedef struct OpaqueCFHTTPCookieStorage* CFHTTPCookieStorageRef;
+typedef struct _CFURLRequest* CFMutableURLRequestRef;
+typedef const struct _CFURLRequest* CFURLRequestRef;
+
+void wkSetFontSmoothingLevel(int type);
+int wkGetFontSmoothingLevel();
+uint32_t wkSetFontSmoothingStyle(CGContextRef cg);
+void wkRestoreFontSmoothingStyle(CGContextRef cg, uint32_t oldStyle);
+void wkGetGlyphAdvances(CGFontRef, const CGAffineTransform&, bool isSystemFont, bool isPrinterFont, CGGlyph, CGSize& advance);
+void wkGetGlyphs(CGFontRef, const UChar[], CGGlyph[], size_t count);
+void wkSetUpFontCache(size_t s);
+void wkAddFontsInDirectory(CFStringRef);
+void wkAddFontsAtPath(CFStringRef);
+void wkAddFontsFromPlistRepresentation(CFDataRef);
+CFDataRef wkCreateFontsPlistRepresentation();
+
+void wkSetPatternBaseCTM(CGContextRef, CGAffineTransform);
+void wkSetPatternPhaseInUserSpace(CGContextRef, CGPoint phasePoint);
+
+void wkDrawFocusRing(CGContextRef, CGColorRef, float radius);
+
+CFDictionaryRef wkGetSSLCertificateInfo(CFURLResponseRef);
+void* wkGetSSLPeerCertificateData(CFDictionaryRef);
+CFHTTPCookieStorageRef wkGetDefaultHTTPCookieStorage();
+void wkSetCFURLRequestShouldContentSniff(CFMutableURLRequestRef, bool);
+CFStringRef wkCopyFoundationCacheDirectory();
+void wkSetClientCertificateInSSLProperties(CFMutableDictionaryRef, CFDataRef);
+
+bool wkCanAccessCFURLRequestHTTPBodyParts();
+CFArrayRef wkCFURLRequestCopyHTTPRequestBodyParts(CFURLRequestRef);
+void wkCFURLRequestSetHTTPRequestBodyParts(CFMutableURLRequestRef, CFArrayRef bodyParts);
+
+#endif // WebKitSystemInterface_h
diff --git a/WebKitLibraries/win/lib/WebKitSystemInterface.lib b/WebKitLibraries/win/lib/WebKitSystemInterface.lib
new file mode 100644
index 0000000..116018e
--- /dev/null
+++ b/WebKitLibraries/win/lib/WebKitSystemInterface.lib
Binary files differ
diff --git a/WebKitLibraries/win/lib/WebKitSystemInterface_debug.lib b/WebKitLibraries/win/lib/WebKitSystemInterface_debug.lib
new file mode 100644
index 0000000..162d92d
--- /dev/null
+++ b/WebKitLibraries/win/lib/WebKitSystemInterface_debug.lib
Binary files differ
diff --git a/WebKitLibraries/win/tools/WinTools.make b/WebKitLibraries/win/tools/WinTools.make
new file mode 100755
index 0000000..c487e01
--- /dev/null
+++ b/WebKitLibraries/win/tools/WinTools.make
@@ -0,0 +1,3 @@
+install:
+ xcopy "$(SRCROOT)\vsprops\*.vsprops" "$(DSTROOT)\AppleInternal\tools\vsprops" /e/v/i/h/y
+ xcopy "$(SRCROOT)\scripts\*" "$(DSTROOT)\AppleInternal\tools\scripts" /e/v/i/h/y
diff --git a/WebKitLibraries/win/tools/scripts/PRODUCTVERSION b/WebKitLibraries/win/tools/scripts/PRODUCTVERSION
new file mode 100644
index 0000000..06a4457
--- /dev/null
+++ b/WebKitLibraries/win/tools/scripts/PRODUCTVERSION
@@ -0,0 +1 @@
+3.1 \ No newline at end of file
diff --git a/WebKitLibraries/win/tools/scripts/VERSION b/WebKitLibraries/win/tools/scripts/VERSION
new file mode 100644
index 0000000..6bf9900
--- /dev/null
+++ b/WebKitLibraries/win/tools/scripts/VERSION
@@ -0,0 +1 @@
+526
diff --git a/WebKitLibraries/win/tools/scripts/auto-version.sh b/WebKitLibraries/win/tools/scripts/auto-version.sh
new file mode 100755
index 0000000..6bbfb5c
--- /dev/null
+++ b/WebKitLibraries/win/tools/scripts/auto-version.sh
@@ -0,0 +1,83 @@
+#!/usr/bin/bash
+
+# Copyright (C) 2007 Apple Inc. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCPATH=`cygpath -u "$WEBKITLIBRARIESDIR\Tools\Scripts"`
+VERSIONPATH=`cygpath -u "$1"`
+VERSIONPATH=$VERSIONPATH/include
+VERSIONFILE=$VERSIONPATH/autoversion.h
+mkdir -p "$VERSIONPATH"
+
+PRODUCTVERSION=`cat "$SRCPATH/PRODUCTVERSION"`
+MAJORVERSION=`echo "$PRODUCTVERSION" | sed 's/\([^\.]*\)\.\([^.]*\)\(\.\([^.]*\)\)\?/\1/'`
+MINORVERSION=`echo "$PRODUCTVERSION" | sed 's/\([^\.]*\)\.\([^.]*\)\(\.\([^.]*\)\)\?/\2/'`
+TINYVERSION=`echo "$PRODUCTVERSION" | sed 's/\([^\.]*\)\.\([^.]*\)\(\.\([^.]*\)\)\?/\4/'`
+if [ "$TINYVERSION" == "" ]; then
+ TINYVERSION=0
+fi
+
+if [ "$RC_PROJECTSOURCEVERSION" == "" ]; then
+ PROPOSEDVERSION=$(cat "$SRCPATH/VERSION")
+else
+ PROPOSEDVERSION="$RC_PROJECTSOURCEVERSION"
+fi
+
+if [ `echo "$PROPOSEDVERSION" | grep -c -E "4\.|4$"` -ne 0 ]; then
+ echo "
+ Can't set WebKit's version to something that ends in a 4!
+ If we do, someone's going to think it's Netscape 4.
+ Radar bug 3787996 has some details."
+ exit 1
+fi
+
+BLDMAJORVERSION=`echo "$PROPOSEDVERSION" | sed 's/\([^\.]*\)\(\.\([^.]*\)\(\.\([^.]*\)\)\?\)\?/\1/'`
+BLDMINORVERSION=`echo "$PROPOSEDVERSION" | sed 's/\([^\.]*\)\(\.\([^.]*\)\(\.\([^.]*\)\)\?\)\?/\3/'`
+BLDVARIANTVERSION=`echo "$PROPOSEDVERSION" | sed 's/\([^\.]*\)\(\.\([^.]*\)\(\.\([^.]*\)\)\?\)\?/\5/'`
+if [ "$BLDMINORVERSION" == "" ]; then
+ BLDMINORVERSION=0
+fi
+if [ "$BLDVARIANTVERSION" == "" ]; then
+ BLDVARIANTVERSION=0
+fi
+SVNOPENSOURCEREVISION=`svn info | grep '^Revision' | sed 's/^Revision: \(.*\)/\1/'`
+
+BLDNMBR="$PROPOSEDVERSION"
+BLDNMBRSHORT="$BLDNMBR"
+
+if [ "$RC_PROJECTSOURCEVERSION" == "" ]; then
+ BLDNMBRSHORT="$BLDNMBRSHORT+"
+ BLDNMBR="$BLDNMBRSHORT $(whoami) - $(date) - r$SVNOPENSOURCEREVISION"
+fi
+
+cat > "$VERSIONFILE" <<EOF
+#define __VERSION_TEXT__ "$PRODUCTVERSION ($BLDNMBR)"
+#define __BUILD_NUMBER_SHORT__ "$BLDNMBRSHORT"
+#define __VERSION_MAJOR__ $MAJORVERSION
+#define __VERSION_MINOR__ $MINORVERSION
+#define __VERSION_TINY__ $TINYVERSION
+#define __BUILD_NUMBER_MAJOR__ $BLDMAJORVERSION
+#define __BUILD_NUMBER_MINOR__ $BLDMINORVERSION
+#define __BUILD_NUMBER_VARIANT__ $BLDVARIANTVERSION
+#define __SVN_REVISION__ $SVNREVISION
+EOF
diff --git a/WebKitLibraries/win/tools/vsprops/common.vsprops b/WebKitLibraries/win/tools/vsprops/common.vsprops
new file mode 100644
index 0000000..2f247f9
--- /dev/null
+++ b/WebKitLibraries/win/tools/vsprops/common.vsprops
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+ ProjectType="Visual C++"
+ Version="8.00"
+ Name="common"
+ OutputDirectory="$(WebKitOutputDir)\bin"
+ IntermediateDirectory="$(WebKitOutputDir)\obj\$(ProjectName)\$(ConfigurationName)"
+ >
+ <Tool
+ Name="VCCLCompilerTool"
+ AdditionalOptions="/GS"
+ PreprocessorDefinitions="WIN32;_WINDOWS;_WIN32_WINNT=0x500;_CRT_SECURE_NO_DEPRECATE;_SCL_SECURE_NO_DEPRECATE;__PRODUCTION__=0$(PRODUCTION);_HAS_EXCEPTIONS=0"
+ ExceptionHandling="0"
+ RuntimeTypeInfo="false"
+ WarningLevel="4"
+ WarnAsError="true"
+ DebugInformationFormat="3"
+ DisableSpecificWarnings="4018;4068;4099;4100;4127;4138;4189;4244;4275;4291;4355;4389;4510;4512;4610;4706;4800;4996;6011;6031;6211;6246;6255;6387"
+ />
+ <Tool
+ Name="VCLibrarianTool"
+ OutputFile="$(OutDir)\$(ProjectName)$(WebKitConfigSuffix).lib"
+ />
+ <Tool
+ Name="VCLinkerTool"
+ LinkLibraryDependencies="false"
+ AdditionalOptions="/SAFESEH /FIXED:NO /dynamicbase"
+ OutputFile="$(OutDir)\$(ProjectName)$(WebKitConfigSuffix).exe"
+ AdditionalLibraryDirectories="&quot;$(WebKitOutputDir)\lib&quot;;&quot;$(WebKitLibrariesDir)\lib&quot;"
+ GenerateDebugInformation="true"
+ SubSystem="2"
+ ImportLibrary="$(WebKitOutputDir)\lib\$(TargetName).lib"
+ TargetMachine="1"
+ />
+ <Tool
+ Name="VCMIDLTool"
+ PreprocessorDefinitions="__PRODUCTION__=0$(PRODUCTION)"
+ WarnAsError="true"
+ HeaderFileName="$(OutDir)\$(InputName).h"
+ />
+ <Tool
+ Name="VCResourceCompilerTool"
+ Culture="1033"
+ AdditionalIncludeDirectories="&quot;$(IntDir)\include&quot;"
+ />
+</VisualStudioPropertySheet>
diff --git a/WebKitLibraries/win/tools/vsprops/debug.vsprops b/WebKitLibraries/win/tools/vsprops/debug.vsprops
new file mode 100644
index 0000000..9ab8f20
--- /dev/null
+++ b/WebKitLibraries/win/tools/vsprops/debug.vsprops
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+ ProjectType="Visual C++"
+ Version="8.00"
+ Name="debug"
+ >
+ <Tool
+ Name="VCCLCompilerTool"
+ Optimization="0"
+ MinimalRebuild="true"
+ BasicRuntimeChecks="3"
+ RuntimeLibrary="2"
+ />
+ <Tool
+ Name="VCLinkerTool"
+ LinkIncremental="2"
+ />
+ <Tool
+ Name="VCResourceCompilerTool"
+ />
+ <UserMacro
+ Name="WebKitConfigSuffix"
+ Value="_debug"
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="LibraryConfigSuffix"
+ Value=""
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="WebKitDLLConfigSuffix"
+ Value=""
+ />
+</VisualStudioPropertySheet>
diff --git a/WebKitLibraries/win/tools/vsprops/debug_internal.vsprops b/WebKitLibraries/win/tools/vsprops/debug_internal.vsprops
new file mode 100644
index 0000000..ef7674a
--- /dev/null
+++ b/WebKitLibraries/win/tools/vsprops/debug_internal.vsprops
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+ ProjectType="Visual C++"
+ Version="8.00"
+ Name="debug_internal"
+ >
+ <Tool
+ Name="VCCLCompilerTool"
+ PreprocessorDefinitions="USE_DEBUG_SAFARI_THEME;DEBUG_INTERNAL"
+ RuntimeLibrary="3"
+ />
+ <UserMacro
+ Name="WebKitConfigSuffix"
+ Value="_debug"
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="LibraryConfigSuffix"
+ Value="_debug"
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="WebKitDLLConfigSuffix"
+ Value="_debug"
+ />
+</VisualStudioPropertySheet>
diff --git a/WebKitLibraries/win/tools/vsprops/release.vsprops b/WebKitLibraries/win/tools/vsprops/release.vsprops
new file mode 100644
index 0000000..109176d
--- /dev/null
+++ b/WebKitLibraries/win/tools/vsprops/release.vsprops
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+ ProjectType="Visual C++"
+ Version="8.00"
+ Name="release"
+ >
+ <Tool
+ Name="VCCLCompilerTool"
+ Optimization="2"
+ PreprocessorDefinitions="NDEBUG"
+ RuntimeLibrary="2"
+ />
+ <Tool
+ Name="VCLinkerTool"
+ LinkIncremental="1"
+ StripPrivateSymbols="$(WebKitOutputDir)\public\sym\$(TargetName).pdb"
+ OptimizeReferences="2"
+ EnableCOMDATFolding="2"
+ OptimizeForWindows98="1"
+ />
+ <Tool
+ Name="VCPreLinkEventTool"
+ CommandLine="if not exist &quot;$(WebKitOutputDir)\public\sym&quot; mkdir &quot;$(WebKitOutputDir)\public\sym&quot;"
+ />
+ <Tool
+ Name="VCResourceCompilerTool"
+ PreprocessorDefinitions="NDEBUG"
+ />
+ <UserMacro
+ Name="WebKitConfigSuffix"
+ Value=""
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="LibraryConfigSuffix"
+ Value=""
+ PerformEnvironmentSet="true"
+ />
+ <UserMacro
+ Name="WebKitDLLConfigSuffix"
+ Value=""
+ />
+</VisualStudioPropertySheet>